.loading-spinner-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: white; 
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}
.loading-spinner {
  border: 0.1rem solid #E4335A;
  border-top: 0.25rem solid #ffffff;
  border-radius: 50%;
  width: 2.5rem;
  height: 2.5rem; 
  animation: spin 1s linear infinite;
  backdrop-filter: blur(50px); 
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
